Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.parsers
Class Java14Parser

    java.lang.Object
      net.sourceforge.pmd.parsers.Java14Parser

All Implemented Interfaces:
  Parser

public class Java14Parser
extends java.lang.Object
implements Parser

Adapter for the JavaParser, using Java 1.4 grammar.

Author:
  Pieter_Van_Raemdonck - Application Engineers NV/SA - www.ae.be

Constructor Summary
`Java14Parser()`

Method Summary
`java.util.Map` | `getExcludeMap()`
`java.lang.Object` | `parse(java.io.Reader source)` Parse source code and return the root node of the AST.
`void` | `setExcludeMarker(java.lang.String marker)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Java14Parser

    public Java14Parser()

Method Detail

### parse

    public java.lang.Object parse(java.io.Reader source)
                           throws ParseException

  Description copied from interface: `Parser`
  Parse source code and return the root node of the AST.

  Specified by:
    `parse` in interface `Parser`
  Parameters:
    `source` - Reader that provides the source code of a compilation unit
  Returns:
    the root node of the AST that is built from the source code
  Throws:
    `ParseException` - In case the source code could not be parsed, probably due to syntactical errors.

### getExcludeMap

    public java.util.Map getExcludeMap()

  Specified by:
    `getExcludeMap` in interface `Parser`

### setExcludeMarker

    public void setExcludeMarker(java.lang.String marker)

  Specified by:
    `setExcludeMarker` in interface `Parser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.